/*
   shutdown_library.h --- shutdown library internals.

   (c) Copyright 1995 SHW Wabnitz
   Written by Bernhard Fastenrath (fasten@shw.com)

   This file may be distributed under the terms
   of the GNU General Public License.
*/

#include <exec/types.h>
#include <exec/lists.h>
#include <exec/nodes.h>
#include <exec/memory.h>
#include <dos/dos.h>
#include <dos/dosextens.h>
#include <dos/filehandler.h>

#include <proto/exec.h>
#include <proto/dos.h>

#include <stdlib.h>
#include <string.h>

#include "halt.h"

typedef struct List List;
typedef struct Node Node;
typedef struct MinNode MinNode;
typedef struct MsgPort MsgPort;
typedef struct Message Message;
typedef struct StandardPacket StandardPacket;
typedef struct DevProc DevProc;
typedef struct DosInfo DosInfo;
typedef struct DeviceNode DeviceNode;
typedef struct RootNode RootNode;
typedef struct Task Task;

typedef struct {
  MinNode  node;
  MsgPort *port;
  UBYTE    done;
} ShutdownClient;

/*** prototypes of unmount.c ***/
int unmount (MsgPort *mp, char *filesystem);
